Page MenuHomePhabricator

Talk to communities about the new slideshow mode for galleries
Closed, ResolvedPublic

Description

This is a request for Community-Relations-Support time to hold a multi-community discussion about a new feature.

T128429: Provide an rotating reader-interactive "slider" gallery mode introduces a new feature, the "slider" mode for galleries. It is not yet documented (T140195: Document the new slideshow gallery mode), and communities are not using it. Is this the right approach? When is it most/least useful? Should the feature be improved, and if so, how?

Ideally, this discussion would happen during 2016 (or early 2017).

Event Timeline

Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 17 2016, 8:54 AM
Elitre added a subscriber: Elitre.Aug 17 2016, 8:59 AM

I will ask fr.wp and fr.wv.

Trizek-WMF triaged this task as Normal priority.Sep 20 2016, 4:32 PM
Trizek-WMF added a subscriber: hgzh.EditedSep 21 2016, 7:34 AM

Feedback from fr.wp, posted on 15th of July village pump page:

  • "Nicer than galleries", "awesome"
  • add a tooltip on the centered icon. Personal note: what is it for btw? Oh, I've seen it: it masks the gallery, but that's not close to it. (from T128429#2465475)
  • opening Mediaviewer when you click on a thumbnail is not intuitive. You expect to display that item on the slideshow (from T128429#2465475)
  • have a constant height between images would be appreciated - yo-yo effect (from T128429#2465475)
  • a user doesn't manage to add an alt= to images
  • do you plan to add a frame to every image?
  • a user wants to have a way to put that gallery on the right or the left of the page
  • Two users are not convinced: that gallery takes a lot of room and don't allow users to see all images at all. The regular gallery allows people to select which picture they want to see in details.

Also on Phabricator:

Sorry, but at the moment this seems to be unusable for the article namespace:

  • There is no way to set the widths/heights of the images - the gallery resizes randomly for every image
  • The gallery caption size is a way to big especially if you have small images
  • the extended mode (clicked on the center icon) is not very intuitive and stylish.
  • mode="slideshow" and perrow="..." causes vertical scrolling

I can collect more feedback if you need, from fr.wp and/or fr.wv.

Up. Do you need more feedback?

Hi, @Trizek-WMF

Thanks for doing this! I don't know if this was part of @Jdforrester-WMF 's plans for the rollout, but I'm sure this feedback can be useful for us.

@Prtksxna is the person who did most of the work on this feature, so I might defer to him as to which of these points should be addressed, and in what order. I'll bring it up at our standup in a few minutes.

Whatamidoing-WMF added a comment.EditedSep 29 2016, 2:55 PM

To add to the Media Viewer item with another issue:

If you click the main image (in Safari 10, at least), it doesn't open Media Viewer. It takes you to the file page.

Trizek-WMF closed this task as Resolved.Oct 12 2016, 1:37 PM

Per discussions with @Prtksxna, that task is closed. There is enough feedback for new developments.
Further investigations will be done with a new task.

Qgil awarded a token.Oct 13 2016, 11:06 AM